import { PriceTypes, WeekPriceTypeEunm, BalanceTypes } from '../types';

export declare const PriceKey: {
    预付平日: string;
    预付周末: string;
    现付平日: string;
    现付周末: string;
};
export declare const priceSetParams: import('vue').Ref<{
    boolRetailPrice: boolean;
    changePriceType: number;
    weekPriceType: WeekPriceTypeEunm;
    calculatType?: number | undefined;
    commissionRate?: number | undefined;
    priceType?: PriceTypes | undefined;
}>;
export declare const setPriceTableData: import('vue').Ref<{
    price: import('../types').IPrice;
    rowPrice?: number | undefined;
    weekPrice?: number | undefined;
    isSingleChannelToMultiRoomType?: boolean | undefined;
    name: string;
    skuId: string;
    relatedType: number;
    channelInfos: {
        channelName: string;
        channelProductId: string;
        channelId: string;
        ariSyncStatus: number;
        balanceType: BalanceTypes;
        channelProductName: string;
        rateCodeId: string;
    }[];
    isAllChannel?: boolean | undefined;
    roomTypeId?: number | undefined;
}[]>;
export declare function updateTableData(): void;
export declare const isWeekPriceType: import('vue').ComputedRef<boolean>;
export default function (): {
    priceTableColumns: import('vue').Ref<{
        name: string;
        channelId: string;
    }[]>;
    isCTrip: import('vue').Ref<boolean>;
    commonPrice: import('vue').Ref<string>;
    weekPrice: import('vue').Ref<string>;
    isWeekPriceType: import('vue').ComputedRef<boolean>;
};
